<?php
/**
 * Custom template tags for this theme
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Packers And Movers
 * @subpackage packers_and_movers
 */

/**
 * Returns true if a blog has more than 1 category.
 *
 * @return bool
 */
function packers_and_movers_categorized_blog() {
	$packers_and_movers_category_count = get_transient( 'packers_and_movers_categories' );

	if ( false === $packers_and_movers_category_count ) {
		// Create an array of all the categories that are attached to posts.
		$packers_and_movers_categories = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,
			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$packers_and_movers_category_count = count( $packers_and_movers_categories );

		set_transient( 'packers_and_movers_categories', $packers_and_movers_category_count );
	}

	// Allow viewing case of 0 or 1 categories in post preview.
	if ( is_preview() ) {
		return true;
	}

	return $packers_and_movers_category_count > 1;
}

if ( ! function_exists( 'packers_and_movers_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 * @since Packers And Movers
 */
function packers_and_movers_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/**
 * Flush out the transients used in packers_and_movers_categorized_blog.
 */
function packers_and_movers_category_transient_flusher() {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	// Like, beat it. Dig?
	delete_transient( 'packers_and_movers_categories' );
}
add_action( 'edit_category', 'packers_and_movers_category_transient_flusher' );
add_action( 'save_post',     'packers_and_movers_category_transient_flusher' );